%{?nodejs_find_provides_and_requires}

%global packagename md5-o-matic
%global enable_tests 1

Name:		nodejs-md5-o-matic
Version:	0.1.1
Release:	1%{?dist}
Summary:	Fast and simple MD5 hashing utility with zero dependencies

License:	MIT
URL:		https://github.com/trentmillar/md5-o-matic.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

%description
Fast and simple MD5 hashing utility with zero module dependencies. View the MD5
Shootout results at http://jsperf.com/md5-shootout/39


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Tue Feb  9 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.1-1
- Initial packaging
